/************************************************************************
 *                                                                      *
 * File:        my_rad.h		                                *
 *                                                                      *
 * Author(s):   T. Frivold, D.Beyer.  Rooftop Communications.           *
 *                                                                      *
 * Description: Skeletal code example "Radio-specific Header File"	*
 *                                                                      *
 ************************************************************************/
#ifndef _MY_RAD_H_
#define _MY_RAD_H_

#include <rad_api.h>

uint32  MyRadioDevInit ( uint32	          version,   /* API version     */
			 void           * protoDev,  /* protocol handle */
			 void           * initData,  /* init data       */
			 DevSigFp         sig,       /* signal callback */
			 DevCntrlBlk    * control ); /* control block   */

/*
 * Extensions to the variables list
 */

typedef enum
{
    RadioVarModulation = RADIO_VAR_NEXT,             /* set/get chNum   */
    RadioVarScramble,                                /* set/get chNum   */

    MY_RADIO_VAR_NEXT,
} MyRadioVarType;


/* 
 * Extensions to packet structure
 */

typedef struct _myRadioPktInfo
{
    RadioDevPktInfo     radioPktInfo; 
    uint32		erasureBits;                 /* for rcv'd pkts */
} MyRadioPktInfo;

/*
 * Variable interpretations
 */

/* For Tx and Rx data rates, in kbps */
enum
{
    MyRadioBitRate100_kbps,
    MyRadioBitRate200_kbps,
    MyRadioBitRate400_kbps,
};


/* For Tx power */
enum
{
    MyRadioTxPwr10_dBm,
    MyRadioTxPwr20_dBm,
    MyRadioTxPwr30_dBm,
};

#endif /* _MY_RAD_H_ */

